Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 18270

Description

I have qgis running on Linux Ubuntu 12.04. 64 bit. When I zoom in in layers (shape-files) in lat lon projection the layers disappear (cannot

be rendered). It seems that it is because the decimal precision must be high when using lat lon coordinates, which the system seems not

being capable to handle.

Furthermore - in attribute tables all decimals (when not in string format) are set to zero (e.g. 12.5454646 is shown as 12.0000000,

14.5423698 is shown as 14.0000000 etc.)

These problems does not appear when I install qgis 2.x on ms-windows (windows 7 64 bit).

I wonder if anyone else experience the same issues.

History

#1 - 2014-03-04 01:01 AM - Giovanni Manghi

- Status changed from Open to Feedback

- Category set to Vectors

a similar issue should have been solved in qgis 2.2, are you using it or still using 2.0.1?

please also attach sample data

#2 - 2014-03-04 01:13 AM - Joergen Buus-Hinkler

- File AsimaTTM_20120804_2249UTC_to_20120805_2211UTC.prj added

- File AsimaTTM_20120804_2249UTC_to_20120805_2211UTC.shp added

- File AsimaTTM_20120804_2249UTC_to_20120805_2211UTC.dbf added

- File AsimaTTM_20120804_2249UTC_to_20120805_2211UTC.shx added

- Assignee set to Giovanni Manghi

No I am using 2.2 Valmiera - the same problems also appeared in 2.0 Dufour

I have attached an example of a shape layer.

Thanks

#3 - 2014-03-05 12:48 PM - Giovanni Manghi

- Assignee deleted (Giovanni Manghi)
- Priority changed from High to Normal

Joergen Buus-Hinkler wrote:

No I am using 2.2 Valmiera - the same problems also appeared in 2.0 Dufour

I have attached an example of a shape layer.

Thanks

I cannot replicate it, at least on qgis master. Would you mind give it a try?

about the second issue (that would anyway need a separate ticket), when this shows?

#4 - 2014-03-18 04:17 PM - Fernando Roxo

- File erros.jpg added

I have exactly the same problem.   I am using Xubuntu 12.04 and the Qgis.org PPA (deb http://qgis.org/debian precise main).

The installed version is 2.2.0 Valmiera.

I have tried to create a new project with the same result.

Funny enough I found an older project that opens and works correctly.    If I open this project first, then all others works correctly.

I am trying to produce a reduced project, with fewer layers, that reproduces the problem and this circumvention, but I failed so far. :(

I tried to remove the ~/.qgis2 directory to force a creation of a new one,  but didn't change anything.

This project that works share some layers (.shp) with another that does not work.   I can confirm the information give by  Joergen Buus-Hinkler that the

attribute values are "truncated" with only the integer part in the project that does not work.  I opened two instances of the QGis and showed the attribute

table of the shared layer showing the problem in the column AREA_BLOCO.

I suspect that possibly the coordinates are being truncated as well.

HTH

#5 - 2014-03-19 08:56 AM - Fernando Roxo

- File qgis_tst.tgz added

Hi all.

I have managed to create two projects, one with just one layer (nok.qgs) and the other with two layers (ok.qgs).

The common layer is a Brasil shapefile.  I have created a column named "Area" that has a real value to show the truncation effect.

The other layer in 'ok.qgs' is an SQLite layer with geotagged photo positions.
The 'nok.qgs' project was created just removing the SQLite layer from the 'ok.qgs'.

In my installation if I open the 'nok.qgs' project I will end up with a blank screen.   If I open the 'ok.qgs', without saving 'nok.qgs', I will get a zoom in a place

at the coast of Brasil.   If next I open the 'nok.qgs' in the same session, without closing the QGis window, I will get a zoom at some place.    That is, if I open

'nok.qgs' I get a blank canvas and the table of Brasil layer will show the values with fractionary part zeroed out.   If I open 'ok.qgs' first and then 'nok.qgs' I

get the expected map and the table will show the fractions correctly.

Joergen, could you please try these sample project and see if you get the same as me?

TIA

HTH

#6 - 2014-03-19 10:34 AM - Fernando Roxo

- File qgis_tst.tgz added

The projects in the archive I sent before had many compositions in it.   I am sending the same projects without the compositions to simplify the XML.

HTH

#7 - 2014-04-11 10:35 AM - Fernando Roxo

I have just made a test, I logged in as a "guest" user, so without any previous configuration and opened a shapefile layer.  The problem showed up.   This

remove the possibility of the problem be with my personal files, it must be something in installation.

Does any one has some hint about what to test?

TIA.

#8 - 2014-10-11 11:36 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

definitely works as expected on qgis master, please reopen if necessary.

Files

AsimaTTM_20120804_2249UTC_to_20120805_2211UTC.shx 5.27 KB 2014-03-04 Joergen Buus-Hinkler

AsimaTTM_20120804_2249UTC_to_20120805_2211UTC.shp 18.2 KB 2014-03-04 Joergen Buus-Hinkler

AsimaTTM_20120804_2249UTC_to_20120805_2211UTC.dbf 748 KB 2014-03-04 Joergen Buus-Hinkler

AsimaTTM_20120804_2249UTC_to_20120805_2211UTC.prj 143 Bytes 2014-03-04 Joergen Buus-Hinkler

erros.jpg 151 KB 2014-03-18 Fernando Roxo

qgis_tst.tgz 2.2 MB 2014-03-19 Fernando Roxo

qgis_tst.tgz 2.19 MB 2014-03-19 Fernando Roxo
